This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764469 - (GLUSTER-2737) there is no log file for gluster cli
there is no log file for gluster cli
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 01:51 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-04-13 01:51:07 EDT
hence we can't figure out errors generated/originated inside CLI code
Comment 1 Anand Avati 2011-04-14 04:07:51 EDT
PATCH: http://patches.gluster.com/patch/6842 in master (cli: add log file for cli instead of '/dev/null')
Comment 2 Raghavendra Bhat 2011-04-17 04:13:00 EDT
Now cli log can be found in @prefix@/var/log/glusterfs (where @prefix@ is the installation directory.)

[2011-04-16 12:40:29.626812] I [cli-rpc-ops.c:616:gf_cli3_1_create_volume_cbk] 0-cli: Received resp to create volume
[2011-04-16 12:40:29.628757] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 12:40:34.40405] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 12:40:34.47159] I [cli-rpc-ops.c:406:gf_cli3_1_get_volume_cbk] 0-cli: Received resp to get vol: 0
[2011-04-16 12:40:34.47423] I [cli-rpc-ops.c:585:gf_cli3_1_get_volume_cbk] 0-: Returning: 0
[2011-04-16 12:40:34.55922] I [cli-rpc-ops.c:406:gf_cli3_1_get_volume_cbk] 0-cli: Received resp to get vol: 0
[2011-04-16 12:40:34.56002] I [cli-rpc-ops.c:585:gf_cli3_1_get_volume_cbk] 0-: Returning: 0
[2011-04-16 12:40:34.56028] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 12:40:38.7696] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 12:40:38.332772] I [cli-rpc-ops.c:715:gf_cli3_1_start_volume_cbk] 0-cli: Received resp to start volume
[2011-04-16 12:40:38.333823] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 12:41:41.320441] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 12:41:42.425265] I [cli-rpc-ops.c:1432:gf_cli3_1_quota_cbk] 0-cli: Received resp to quota command 
[2011-04-16 12:41:42.425356] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 12:41:51.96113] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 12:41:52.135122] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 15:01:58.548453] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 15:02:07.360246] I [cli-rpc-ops.c:1170:gf_cli3_1_replace_brick_cbk] 0-cli: Received resp to replace brick
[2011-04-16 15:02:07.360417] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 15:02:15.828797] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 15:02:17.351523] I [cli-rpc-ops.c:1170:gf_cli3_1_replace_brick_cbk] 0-cli: Received resp to replace brick
[2011-04-16 15:02:17.351979] I [input.c:46:cli_batch] 0-: Exiting with: 0
[2011-04-16 15:02:34.499925] W [rpc-transport.c:604:rpc_transport_load] 0-rpc-transport: missing 'option transport-type'. defaulting to "socket"
[2011-04-16 15:02:44.389925] I [cli-rpc-ops.c:1170:gf_cli3_1_replace_brick_cb

Note You need to log in before you can comment on or make changes to this bug.